Package com.macrofocus.high_d.scatterplotmatrix.javafx

# Class JavaFXScatterPlotMatrixComponent<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
com.macrofocus.high_d.scatterplotmatrix.javafx.JavaFXScatterPlotMatrixComponent<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<javafx.scene.Node>`, `ScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

public class JavaFXScatterPlotMatrixComponent<Row,Column> extends AbstractScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>
Created by luc on 25/04/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `AbstractScatterPlotMatrixComponent.AbstractVisualLayerIDrawing`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `canvas, model, timer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXScatterPlotMatrixComponent(JavaFXScatterPlotMatrixView<Row,Column> view)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getHeight()`
  `javafx.scene.Node`
  `getNativeComponent()`
  `protected int`
  `getWidth()`
  `protected void`
  `repaint()`
  `void`
  `scheduleUpdate()`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixComponent

  `createOverplots, getClosestRow, getRows, refresh, setModel`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaFXScatterPlotMatrixComponent

    public JavaFXScatterPlotMatrixComponent(JavaFXScatterPlotMatrixView<Row,Column> view)

- ## Method Details

  - ### getWidth

    protected int getWidth()
    Specified by:
      `getWidth` in class `AbstractScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### getHeight

    protected int getHeight()
    Specified by:
      `getHeight` in class `AbstractScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### repaint

    protected void repaint()
    Specified by:
      `repaint` in class `AbstractScatterPlotMatrixComponent<javafx.scene.Node,javafx.scene.paint.Color,Row,Column>`

  - ### scheduleUpdate

    public void scheduleUpdate()

  - ### getNativeComponent

    public javafx.scene.Node getNativeComponent()

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)